Skip to content
GET /unified/lms/users

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Users

idstring
required·

The unique identifier for the user

1 supported
TalentLMS
supported
created_atstring · date-time

The date and time the user record was created

1 supported
TalentLMS
supported
custom_fieldsobject

Provider or customer specific fields mapped into a flexible key-value object

emailsobject[]

The emails of the user

1 supported
TalentLMS
supported
3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

first_namestring

The user's first name

1 supported
TalentLMS
supported
job_titlestring

The user's job title, when available

last_namestring

The user's last name

1 supported
TalentLMS
supported
localestring

The locale of the user, when available. Example: en-US

managerobject

The user's manager, when available

3 properties
emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

idstring

The unique identifier for a user

namestring

The name of the user

namestring

The user's name

1 supported
TalentLMS
supported
organizationobject

The organization or tenant the user belongs to, when available

2 properties
idstring

The unique identifier for an organization

namestring

The name of the organization

phonesobject[]

The phones of the user

3 properties
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolestring

The primary role of the user in the LMS

Possible values:
learnerinstructoradminmanagerother
1 supported
TalentLMS
supported
statusstring

The lifecycle status of the user in the LMS

Possible values:
activeinactiveinvitedsuspendeddeletedunknown
1 supported
TalentLMS
supported
timezonestring

The timezone of the user, when available. Example: Asia/Kolkata

1 supported
TalentLMS
supported
updated_atstring · date-time

The date and time the user record was last updated

1 supported
TalentLMS
supported
usernamestring

The user's username or login identifier, when different from email

1 supported
TalentLMS
supported
curl -X GET 'https://api.truto.one/unified/lms/users?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/lms/users?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/lms/users"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'lms',
  'users',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "lms",
        "users",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())